package example;


import org.apache.camel.builder.RouteBuilder;

public class SampleRouteBuiler extends RouteBuilder {
    int[][] sampleValue1 = {{10,11,12},{20,21,22},{30,31,32}};
    @Override
    public void configure() throws Exception {
        from("direct:sampleDirectJava")
                .log("sampleDirectJava in SampleRouteBuiler")
                .to("sql:create table T_EXAMPLE(VALUE1 INT)") 
                .setHeader("sampleValue1", constant(sampleValue1))
                .setHeader("sampleValue2", constant(1))
                .setHeader("noproblemHeader", simple("${header.sampleValue1[${header.sampleValue2}][2]}"))
                .to("sql:insert into T_EXAMPLE values (1)") 
                .to("sql:insert into T_EXAMPLE values (:#${header.sampleValue1[1][2]})") 
                .to("sql:insert into T_EXAMPLE values (:#${header.sampleValue2})") 
                .to("sql:insert into T_EXAMPLE values (:#${header.noproblemHeader})") 
                .log("### the following route will be error")
                .to("sql:insert into T_EXAMPLE values (:#${header.sampleValue1[${header.sampleValue2}][2]})") // An error will occur
;
    }
}
